/*
 * Created on 10-sep-2007
 */
package be.AM4DP;

import be.ASPL.presentationlayer.ASPLApplicationException;

/**
 * @author Erwin Smout
 */
class DBProblem extends ASPLApplicationException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 258320071438526447L;

	/**
	 * Creates the exception object
	 * 
	 * @param e
	 *            The exception causing the "general db problem" exception to have to be thrown
	 */
	DBProblem (Exception e) {
		super(I18N.getInstance(), "DBProblem.Text", new String[] { e.getMessage(), e.getClass().getName() }); //$NON-NLS-1$
	}
}