/*
 * Created on 18-sep-2007
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin Smout
 */
class ArchitectureValueGetterForUSERSESSIONTOKEN extends ArchitectureValueGetter {

	/**
	 * The instance
	 */
	private static ArchitectureValueGetter instance = new ArchitectureValueGetterForUSERSESSIONTOKEN();

	/**
	 * Gets The instance
	 * 
	 * @return The instance
	 */
	static ArchitectureValueGetter getInstance ( ) {
		return instance;
	}

	/**
	 * 
	 */
	private ArchitectureValueGetterForUSERSESSIONTOKEN ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.erwinsmout.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	String getValue (OnLinePresentationFunction userFunction) {
		if (userFunction.getUserData() != null) {
			return Long.toString(userFunction.getUserData().getUserSession().getSessionVerificationToken());
		} else {
			return ""; //$NON-NLS-1$
		}
	}
}
