/**
 * 
 */
package be.ASPL.presentationlayer;

import java.nio.ByteBuffer;

import be.SIRAPRISE.util.MyByteBuffer;

/**
 * @author Erwin
 * 
 */
public final class BlobValue implements PresentationValue {

	/**
	 * 
	 */
	private byte[] bytes;

	/**
	 * Creates the BlobValue
	 * 
	 * @param bytes
	 *            -
	 */
	public BlobValue (byte[] bytes) {
		this.bytes = bytes;
	}

	/**
	 * Gets bytes
	 * 
	 * @return bytes.
	 */
	public final byte[] getBytes ( ) {
		return bytes;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.PresentationValue#toASPLString(be.ASPL.presentationlayer.UserData)
	 */
	@Override
	public String toASPLString (UserData userData) {
		return MyByteBuffer.toHex(ByteBuffer.wrap(bytes));
	}

}
