package be.ASPL.presentationlayer;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 1.0
 * @author Erwin
 */
public final class GeneratedImagesServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8627150672131921233L;

	/**
	 * @see javax.servlet.http.HttpServlet#doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public final void doGet (HttpServletRequest req, HttpServletResponse resp) {
		resp.setContentType("text/html;charset=" + ArchitectureValueGetterForCharSet.UTF8); //$NON-NLS-1$
		resp.setCharacterEncoding(ArchitectureValueGetterForCharSet.UTF8);
		//		resp.setHeader("accept-charset", ArchitectureValueGetterForCharSet.UTF8); //$NON-NLS-1$

		if (req.getCharacterEncoding() == null) {
			try {
				req.setCharacterEncoding(ArchitectureValueGetterForCharSet.UTF8);
			} catch (UnsupportedEncodingException e1) {
				e1.printStackTrace(System.err);
			}
		}

		String functionName = req.getServletPath().substring(1);
		if (functionName.endsWith(".wfn")) { //$NON-NLS-1$
			functionName = functionName.substring(0, functionName.length() - 4);
		}
	}

	/**
	 * @see javax.servlet.GenericServlet#getServletInfo()
	 */
	public final String getServletInfo ( ) {
		return this.getClass().getName() + " - " + this.toString(); //$NON-NLS-1$
	}
}