/**
 * 
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin
 * 
 */
final class InOutMode {

	/**
	 * 
	 */
	private static final int _IN = 1;

	/**
	 * 
	 */
	private static final int _OUT = 0;

	/**
	 * 
	 */
	private static final String[] modes = new String[] { "OUT", "IN" }; //$NON-NLS-1$ //$NON-NLS-2$

	/**
	 * 
	 */
	static final InOutMode IN = new InOutMode(_IN);

	/**
	 * 
	 */
	static final InOutMode OUT = new InOutMode(_OUT);

	/**
	 * the numeric ID of the mode
	 */
	private int mode;

	/**
	 * Creates the InOutMode
	 * 
	 * @param mode
	 *            the numeric ID of the mode
	 */
	private InOutMode (int mode) {
		this.mode = mode;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString ( ) {
		return modes[mode];
	}
}
