/**
 * 
 */
package be.ASPL.presentationlayer;

import java.util.Map;

import be.SIRAPRISE.util.MyReadOnlyEntry;
import be.SIRAPRISE.util.Transformer;

/**
 * @author Erwin
 * 
 */
public class PresentationFieldToMapEntryTransformer extends Transformer<PresentationField, Map.Entry<String, PresentationField>> {

	/**
	 * 
	 */
	private static final PresentationFieldToMapEntryTransformer instance = new PresentationFieldToMapEntryTransformer();

	/**
	 * @return the instance
	 */
	public static final PresentationFieldToMapEntryTransformer getInstance ( ) {
		return instance;
	}

	/**
	 * Creates the PresentationFieldToMapEntryTransformer
	 * 
	 */
	private PresentationFieldToMapEntryTransformer ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.SIRAPRISE.util.Transformer#transform(java.lang.Object)
	 */
	@Override
	public MyReadOnlyEntry<String, PresentationField> transform (PresentationField from) {
		return new MyReadOnlyEntry<>(from.getName(), from);
	}

}
