/**
 * 
 */
package be.AM4DP;

import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;

import be.ASPL.presentationlayer.HTTPArchitectureServlet;
import be.SIRAPRISE.client.ClientSideTypeImplementationsManagerProperties;
import be.SIRAPRISE.client.DBConnectionProperties;
import be.SIRAPRISE.client.DBMonitorConnectionProperties;
import be.SIRAPRISE.typeimplementations.OperatorImplementationsManagerProperties;
import be.SIRAPRISE.typeimplementations.TypeImplementationsManagerProperties;

/**
 * @author Erwin
 * 
 */
@MultipartConfig
@WebServlet(urlPatterns = { "*.wfu" })
public final class AM4DPServletMultiPartConfig extends HTTPArchitectureServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2696533614948749605L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.HTTPArchitectureServlet#init(javax.servlet.ServletConfig)
	 */
	@Override
	public void init () throws ServletException {
		super.init();
		
		//inject servlet-configured properties into any Properties object that might get used by the application
		injectProperties(ClientSideTypeImplementationsManagerProperties.getInstance(), //
				TypeImplementationsManagerProperties.getInstance(), //
//				ClientSideOperatorImplementationsManagerProperties.getInstance(), //
				OperatorImplementationsManagerProperties.getInstance(), //
				DBMonitorConnectionProperties.getInstance(), //
				DBConnectionProperties.getInstance(), //
				AM4DPWebClientFunctionProperties.getInstance());
	}

}
