package be.AM4DP;

import be.ASPL.presentationlayer.*;

import java.util.*;

/**
 *
 */
public class SalaryGradesOverviewPresentation extends Presentation {
	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * 
	 */
	private static final String AM_LOWER_LIMIT = "AM_LOWER_LIMIT"; //$NON-NLS-1$

	/**
	 * 
	 */
	private static final String AM_UPPER_LIMIT = "AM_UPPER_LIMIT"; //$NON-NLS-1$

	/**
	 * 
	 */
	static final String GRADELIST = "GRADELIST"; //$NON-NLS-1$

	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField(AM_LOWER_LIMIT, be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, "", false, 1, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
						, new PresentationField(AM_UPPER_LIMIT, be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, "", false, 2, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
						, new PresentationField("NONZEROBONUSONLY", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, "", false, 11, PresentationFieldIOMode.IN, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField(GRADELIST, be.ASPL.presentationlayer.List.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, "", "", "", getPresentationFieldsMap(new PresentationField[] { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
								new PresentationField("NR_SGRD", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
										, new PresentationField(AM_LOWER_LIMIT, be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
										, new PresentationField(AM_UPPER_LIMIT, be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
										, new PresentationField("AM_BONUS", be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
								})) });
	}

	/**
	 * @throws ASPLException
	 *             if the presentation could not be created
	 */
	public SalaryGradesOverviewPresentation ( ) throws ASPLException {
		super(SalaryGradesOverviewPresentation.class.getSimpleName(), getPresentationFieldDefs(), ACTIONS);
	}
}
