/*
 * Created on 18-sep-2007
 */
package be.ASPL.presentationlayer;

/**
 * The ApplicationName ValueGetter retrieves the application name from the given user function.
 * 
 * @author Erwin Smout
 */
class ArchitectureValueGetterForApplicationName extends ArchitectureValueGetter {

	/**
	 * The instance
	 */
	private static ArchitectureValueGetterForApplicationName instance = new ArchitectureValueGetterForApplicationName();

	/**
	 * Gets The instance
	 * 
	 * @return The instance
	 */
	static ArchitectureValueGetterForApplicationName getInstance ( ) {
		return instance;
	}

	/**
	 * Creates the ApplicationName ValueGetter
	 */
	private ArchitectureValueGetterForApplicationName ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.erwinsmout.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	String getValue (OnLinePresentationFunction userFunction) {
		return userFunction.getApplicationName();
	}
}
