/**
 * 
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin
 * 
 */
final class ArchitectureValueGetterForCharSet extends ArchitectureValueGetter {

	/**
	 * 
	 */
	private static ArchitectureValueGetterForCharSet instance = new ArchitectureValueGetterForCharSet();

	/**
	 * 
	 */
	static final String UTF8 = "UTF-8"; //$NON-NLS-1$

	/**
	 * @return
	 */
	static ArchitectureValueGetter getInstance ( ) {
		return instance;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.erwinsmout.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	@Override
	String getValue (OnLinePresentationFunction userFunction) {
		return UTF8;
	}

}
