package be.ASPL.presentationlayer;

/**
 * @author Erwin
 */
public final class IEEEDoubleValue implements PresentationValue {

	/**
	 * the value
	 */
	private double doublevalue;

	/**
	 * @param d
	 *            -
	 */
	public IEEEDoubleValue (double d) {
		doublevalue = d;
	}

	/**
	 * Gets the value
	 * 
	 * @return the value
	 */
	public double getDouble ( ) {
		return doublevalue;
	}

	public String toString ( ) {
		return Double.toString(doublevalue);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.WaarValue#toWAARString(be.ASPL.presentationlayer.UserData)
	 */
	@Override
	public String toASPLString (UserData userData) {
		return Double.toString(doublevalue);
	}
}
