package be.ASPL.presentationlayer;

/**
 * @author Erwin
 */
public final class UserIDValue implements PresentationValue {

	/**
	 * The user id
	 */
	private String userID;

	/**
	 * @param val
	 *            -
	 */
	public UserIDValue (String val) {
		this.userID = val;
	}

	/**
	 * @return the user id
	 */
	public String getUserID ( ) {
		return userID;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString ( ) {
		return userID;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.WaarValue#toWAARString(be.ASPL.presentationlayer.UserData)
	 */
	@Override
	public String toASPLString (UserData userData) {
		return userID;
	}
}
