/**
 * 
 */
package be.SIRAPRISE.birdwatcher;

import be.SIRAPRISE.client.jsba.*;
import be.SIRAPRISE.typeimplementations.*;
import be.SIRAPRISE.util.*;

/**
 * @author Erwin
 * 
 */
@Relvars(relvarNames = { RELVARNAMES.NLSPECIESNAME })
public final class NLSpeciesName extends AbstractUpdatableDBObject {

	/**
	 * 
	 */
	private String language;

	/**
	 * 
	 */
	private String nlSpeciesName;

	/**
	 * 
	 */
	private NLSpeciesName preUpdateState;

	/**
	 * 
	 */
	private String speciesName;

	/**
	 * Creates the NLSpeciesName
	 */
	public NLSpeciesName ( ) {
		this("", "", ""); //$NON-NLS-1$//$NON-NLS-2$//$NON-NLS-3$
	}

	/**
	 * Creates the NLSpeciesName
	 * 
	 * @param speciesName
	 *            -
	 * @param language
	 *            -
	 * @param nlSpeciesName
	 *            -
	 */
	public NLSpeciesName (String speciesName, String language, String nlSpeciesName) {
		this.speciesName = speciesName;
		this.language = language.toUpperCase();
		this.nlSpeciesName = nlSpeciesName;
	}

	/**
	 * Gets language
	 * 
	 * @return language.
	 */
	@GetterMethod(attributeDefs = { @AttributeDef(attributeName = "LANGUAGE", requiresEscaping = false, typeName = "LANGUAGETYPE") }, relvarNames = { RELVARNAMES.NLSPECIESNAME })
	public final String getLanguage ( ) {
		return language;
	}

	/**
	 * Gets nlName
	 * 
	 * @return nlName.
	 */
	@GetterMethod(attributeDefs = { @AttributeDef(attributeName = ATTRIBUTENAMES.NLSPECIESNAME, requiresEscaping = true, typeName = TYPENAMES.STRING) }, relvarNames = { RELVARNAMES.NLSPECIESNAME })
	public final String getNlSpeciesName ( ) {
		return nlSpeciesName;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.SIRAPRISE.client.UpdatableDBObject#getPreUpdateState()
	 */
	@Override
	public UpdatableDBObject getPreUpdateState ( ) {
		return preUpdateState;
	}

	/**
	 * Gets name
	 * 
	 * @return name.
	 */
	@GetterMethod(attributeDefs = { @AttributeDef(attributeName = ATTRIBUTENAMES.SPECIESNAME, requiresEscaping = true, typeName = TYPENAMES.STRING) }, relvarNames = { RELVARNAMES.NLSPECIESNAME })
	public final String getSpeciesName ( ) {
		return speciesName;
	}

	/**
	 * Sets language
	 * 
	 * @param language
	 *            The language to set.
	 */
	public final void setLanguage (String language) {
		this.language = language.toUpperCase();
	}

	/**
	 * Sets language
	 * 
	 * @param language
	 *            The language to set.
	 */
	@AttributeDef(attributeName = "LANGUAGE", requiresEscaping = false, typeName = "LANGUAGETYPE")
	public final void setLanguage (ValueBuffer language) {
		try {
			setLanguage(DbmsStringImplementation.getJavaString(TypeImplementationsManager.getInstance().getTypeImplementation(NameIdentifier.get("LANGUAGETYPE")).getDefaultPossrepImplementation().getComponentValue("ISO2", language))); //$NON-NLS-1$//$NON-NLS-2$
		} catch (NotFoundException e) {
			throw new RuntimeException(e);
		}
	}

	/**
	 * Sets nlName
	 * 
	 * @param nlSpeciesName
	 *            The nlName to set.
	 */
	public final void setNlSpeciesName (String nlSpeciesName) {
		this.nlSpeciesName = nlSpeciesName;
	}

	/**
	 * Sets nlName
	 * 
	 * @param nlSpeciesName
	 *            The nlName to set.
	 */
	@AttributeDef(attributeName = ATTRIBUTENAMES.NLSPECIESNAME, requiresEscaping = true, typeName = TYPENAMES.STRING)
	public final void setNLSpeciesName (ValueBuffer nlSpeciesName) {
		this.nlSpeciesName = DbmsStringImplementation.getJavaString(nlSpeciesName);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.SIRAPRISE.client.UpdatableDBObject#setPreUpdateState()
	 */
	@Override
	public final void setPreUpdateState ( ) {
		this.preUpdateState = new NLSpeciesName(speciesName, language, nlSpeciesName);
	}

	/**
	 * Sets name
	 * 
	 * @param speciesName
	 *            The name to set.
	 */
	public final void setSpeciesName (String speciesName) {
		this.speciesName = speciesName;
	}

	/**
	 * Sets name
	 * 
	 * @param speciesName
	 *            The name to set.
	 */
	@AttributeDef(attributeName = ATTRIBUTENAMES.SPECIESNAME, requiresEscaping = true, typeName = TYPENAMES.STRING)
	public final void setSpeciesName (ValueBuffer speciesName) {
		this.speciesName = DbmsStringImplementation.getJavaString(speciesName);
	}

}
