package be.SIRAPRISE.birdwatcher;

import be.ASPL.presentationlayer.*;

import java.util.*;

/**
 *
 */
public class SpotsOverviewPresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("SPECIESNAME", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, null, false, 10, PresentationFieldIOMode.IN, null, "", "inputlongtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("WALKDATE", be.ASPL.presentationlayer.DateType.class, Locale.ENGLISH, null, false, 15, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("FROMDATE", be.ASPL.presentationlayer.DateType.class, Locale.ENGLISH, null, false, 20, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("TODATE", be.ASPL.presentationlayer.DateType.class, Locale.ENGLISH, null, false, 25, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("FROMCOUNT", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, null, false, 30, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("TOCOUNT", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, null, false, 35, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("SELECTBYKNOWNORUNKNOWNGENDER", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, null, false, 40, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("GENDERKNOWN", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, null, false, 45, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("GENDER", be.SIRAPRISE.birdwatcher.GenderEnum.class, Locale.ENGLISH, " ", true, 50, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ 
						, new PresentationField("LANGUAGE", be.ASPL.presentationlayer.UserLanguage.class, Locale.ENGLISH, null, false, 70, PresentationFieldIOMode.IN, "COMBOBOX", "20", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ 
						, new PresentationField("SPOTSLIST", be.ASPL.presentationlayer.List.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", getPresentationFieldsMap(new PresentationField[] { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
								new PresentationField("SPECIESNAME", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
										, new PresentationField("NLANNOTATEDNAME", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
										, new PresentationField("WALKDATE", be.ASPL.presentationlayer.DateType.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
										, new PresentationField("SPOTCOUNT", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
										, new PresentationField("GENDERKNOWN", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, null, false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
										, new PresentationField("GENDER", be.SIRAPRISE.birdwatcher.GenderEnum.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ 
								})) });
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             -
	 */
	public SpotsOverviewPresentation ( ) throws ASPLException {
		super("SpotsOverviewPresentation", getPresentationFieldDefs(), ACTIONS); //$NON-NLS-1$ 
	}
}
