* charset=windows-1252

cmd(add userdefinedtype,userdefinedtype(tuple(typename(language)possrepname(language)sp_expression(eq\(int\(0\),length\(semiminus\(relation\(heading\(nm\(name\)\)body\(t\(nm\(iso2\)\)\)\),relation\(heading\(nm\(name\)\)body\(t\(nm\(en\)\)t\(nm\(de\)\)t\(nm\(fr\)\)t\(nm\(nl\)\)\)\)\)\)\))))) |>
cmd(add udtphysicalpossrepcomponent,udtphysicalpossrepcomponent(tuple(typename(language)componentname(iso2)maximumlength(2)componenttypename(name)ordinal(10))))

cmd(add attribute,attribute(tuple(typename(string)attributename(speciesname)))) |>
cmd(add attributelengthconstraint,attributelengthconstraint(tuple(maximumlength(126)attributename(speciesname))))

cmd(add attribute,attribute(tuple(typename(string)attributename(nlspeciesname)))) |>
cmd(add attributelengthconstraint,attributelengthconstraint(tuple(maximumlength(126)attributename(nlspeciesname))))

cmd(add attribute,attribute(tuple(typename(language)attributename(language))))

cmd(add relvar,relvar(tuple(relvarname(existingspecies)relvarpredicate(speciesname is the scientific name for a known bird species.)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(existingspecies)attributename(speciesname))))

cmd(add relvar,relvar(tuple(relvarname(nlspeciesname)relvarpredicate(the name in language language for the species whose scientific name is speciesname, is nlspeciesname.)))) |>
cmd(add key,key(tuple(relvarname(nlspeciesname)errorcode(191009)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(nlspeciesname)attributename(nlspeciesname))tuple(relvarname(nlspeciesname)attributename(language))tuple(relvarname(nlspeciesname)attributename(speciesname)))) |>
cmd(add keyattribute,keyattribute(tuple(errorcode(191009)attributename(language))tuple(errorcode(191009)attributename(speciesname))))

cmd(add databaseconstraint,databaseconstraint(tuple(sp_expression(semiminus\(nlspeciesname,existingspecies\))errorcode(191001)constraintlabel(national-language species names must be names for known species)))) |>
cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191001)constraintmessagetext(nlspeciesname cannot be a national-language name for species speciesname because no such species exists.))))

cmd(add dbmsfile,dbmsfile(tuple(pagesize(32768)filename(bw_species.spdb)))) |>
cmd(add storagespace,storagespace(tuple(storagespaceid(1)filename(bw_species.spdb)extentscount(10)pagecount(2850)))) |>
cmd(add hashedrecordspace,hashedrecordspace(tuple(gapcompressionthreshold(5)maximumgaps(9)storagespaceid(1)filename(bw_species.spdb))))

cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(existingspecies)filename(bw_species.spdb)recordtypename(r_existingspecies)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_existingspecies)ordinal(10)relvarname(existingspecies)attributename(speciesname)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(existingspecies)recordtypename(r_existingspecies)attributename(speciesname))))

cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(nlspeciesname)filename(bw_species.spdb)recordtypename(r_nlspeciesname)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_nlspeciesname)ordinal(10)relvarname(nlspeciesname)attributename(speciesname)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(nlspeciesname)recordtypename(r_nlspeciesname)attributename(speciesname))tuple(ordinal(20)relvarname(nlspeciesname)recordtypename(r_nlspeciesname)attributename(language))tuple(ordinal(30)relvarname(nlspeciesname)recordtypename(r_nlspeciesname)attributename(nlspeciesname))))

* possible species
cmd(add relvar,relvar(tuple(relvarname(possiblespecies)relvarpredicate(speciesname is a possible species for having been spotted.)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(possiblespecies)attributename(speciesname))))

cmd(add databaseconstraint,databaseconstraint(tuple(sp_expression(semiminus\(possiblespecies,existingspecies\))errorcode(191002)constraintlabel(all possible species must be existing species)))) |>
cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191002)constraintmessagetext(speciesname cannot be a possible species because it is not an existing species.))))

cmd(add dbmsfile,dbmsfile(tuple(pagesize(16384)filename(bw_possiblespecies.spdb)))) |>
cmd(add storagespace,storagespace(tuple(storagespaceid(1)filename(bw_possiblespecies.spdb)extentscount(10)pagecount(50)))) |>
cmd(add hashedrecordspace,hashedrecordspace(tuple(gapcompressionthreshold(5)maximumgaps(9)storagespaceid(1)filename(bw_possiblespecies.spdb))))

cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(possiblespecies)filename(bw_possiblespecies.spdb)recordtypename(r_possiblespecies)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_possiblespecies)ordinal(10)relvarname(possiblespecies)attributename(speciesname)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(possiblespecies)recordtypename(r_possiblespecies)attributename(speciesname))))

* walks & spots
cmd(add attribute,attribute(tuple(typename(date)attributename(walkdate))))

cmd(add relvar,relvar(tuple(relvarname(walk)relvarpredicate(a birdwatching walk was done on walkdate.)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(walk)attributename(walkdate))))

cmd(add assignmentconstraintcheck,relation(heading(relvarname(name)errorcode(long)operationtype(int))body(tuple(relvarname(walk)errorcode(191003)operationtype(2))))) |>
cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191003)constraintmessagetext(no walk could have been done on walkdate because that date is in the future.)))) |>
cmd(add assignmentconstraint,assignmentconstraint(tuple(errorcode(191003)constraintlabel(no walks can have been made in the future)sp_expression(restrict\(join\(currentdate,inserts\(walk\)\),gt\(walkdate,currentdate\)\)))))

cmd(add constrainedtype,constrainedtype(tuple(typename(gender)basetype(char)sp_expression(or\(eq\(parameter\(v\(char\)\),char\(m\)\),eq\(parameter\(v\(char\)\),char\(f\)\)\)))))

cmd(add attribute,attribute(tuple(typename(gender)attributename(gender))tuple(typename(int)attributename(spotcount))))

cmd(add relvar,relvar(tuple(relvarname(spots)relvarpredicate(On walkdate, spotcount spots occurred of speciesname, of undetermined gender.)))) |>
cmd(add key,key(tuple(relvarname(spots)errorcode(191010)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(spots)attributename(spotcount))tuple(relvarname(spots)attributename(walkdate))tuple(relvarname(spots)attributename(speciesname)))) |>
cmd(add keyattribute,keyattribute(tuple(errorcode(191010)attributename(speciesname))tuple(errorcode(191010)attributename(walkdate))))

cmd(add tupleconstraint,tupleconstraint(tuple(relvarname(spots)sp_expression(gt\(spotcount,int\(0\)\))errorcode(191004)))) |>
cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191004)constraintmessagetext(spotcount must be >0.))))

cmd(add relvar,relvar(tuple(relvarname(gspots)relvarpredicate(On walkdate, spotcount spots occurred of speciesname, of gender gender.)))) |>
cmd(add key,key(tuple(relvarname(gspots)errorcode(191011)))) |>
cmd(add relvarattribute,relvarattribute(tuple(relvarname(gspots)attributename(spotcount))tuple(relvarname(gspots)attributename(gender))tuple(relvarname(gspots)attributename(walkdate))tuple(relvarname(gspots)attributename(speciesname)))) |>
cmd(add keyattribute,keyattribute(tuple(errorcode(191011)attributename(gender))tuple(errorcode(191011)attributename(speciesname))tuple(errorcode(191011)attributename(walkdate))))

cmd(add tupleconstraint,tupleconstraint(tuple(relvarname(gspots)sp_expression(gt\(spotcount,int\(0\)\))errorcode(191006))))cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191006)constraintmessagetext(spotcount must be >0.))))

cmd(add databaseconstraint,databaseconstraint(tuple(sp_expression(semiminus\(union\(spots,project\(gspots,\(walkdate,spotcount,speciesname\)\)\),possiblespecies\))errorcode(191007)constraintlabel(all spots must be of possible species))tuple(sp_expression(semiminus\(union\(spots,project\(gspots,\(walkdate,speciesname,spotcount\)\)\),walk\))errorcode(191005)constraintlabel(spots cannot be done on non-declared walk dates)))) |>
cmd(add constraintmessagetext,constraintmessagetext(tuple(errorcode(191005)constraintmessagetext(walkdate is not a known walk date, so no spots can be registered for that date.))tuple(errorcode(191007)constraintmessagetext(The spot of speciesname on walkdate is invalid because speciesname is not a possible species.))))

* files for spots and walks
cmd(add dbmsfile,dbmsfile(tuple(pagesize(16384)filename(bw_spots.spdb)))) |>
cmd(add storagespace,storagespace(tuple(storagespaceid(1)filename(bw_spots.spdb)extentscount(10)pagecount(2250)))) |>
cmd(add hashedrecordspace,hashedrecordspace(tuple(gapcompressionthreshold(5)maximumgaps(9)storagespaceid(1)filename(bw_spots.spdb))))

cmd(add dbmsfile,dbmsfile(tuple(pagesize(49152)filename(bw_spotsxspname.spdb)))) |>
cmd(add storagespace,storagespace(tuple(storagespaceid(3)filename(bw_spotsxspname.spdb)extentscount(10)pagecount(650)))) |>
cmd(add hashedrecordspace,hashedrecordspace(tuple(gapcompressionthreshold(5)maximumgaps(9)storagespaceid(3)filename(bw_spotsxspname.spdb))))

* records for spots and walks
cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(walk)filename(bw_spots.spdb)recordtypename(r_walk)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_walk)ordinal(10)relvarname(walk)attributename(walkdate)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(walk)recordtypename(r_walk)attributename(walkdate))))

cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(spots)filename(bw_spots.spdb)recordtypename(r_spots)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_spots)ordinal(10)relvarname(spots)attributename(walkdate)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(spots)recordtypename(r_spots)attributename(speciesname))tuple(ordinal(20)relvarname(spots)recordtypename(r_spots)attributename(walkdate))tuple(ordinal(30)relvarname(spots)recordtypename(r_spots)attributename(spotcount))))

cmd(add recordtype,recordtype(tuple(storagespaceid(1)relvarname(gspots)filename(bw_spots.spdb)recordtypename(r_gspots)maximumlength(4000)))) |>
cmd(add indexattribute,indexattribute(tuple(recordtypename(r_gspots)ordinal(10)relvarname(gspots)attributename(walkdate)))) |>
cmd(add recordattribute,recordattribute(tuple(ordinal(10)relvarname(gspots)recordtypename(r_gspots)attributename(walkdate))tuple(ordinal(20)relvarname(gspots)recordtypename(r_gspots)attributename(speciesname))tuple(ordinal(30)relvarname(gspots)recordtypename(r_gspots)attributename(gender))tuple(ordinal(40)relvarname(gspots)recordtypename(r_gspots)attributename(spotcount))))
